function aTe(a){this.a=a}
function hTe(a,b){nSe(a.a,b)}
function iTe(a,b){mSe(a.a,b)}
function Fpk(){_Xe(this.b,new aTe(this))}
function BZe(a){var b;if(!a.d){b=new jTe;a.d=b}return a.d}
function AZe(a){var b;if(!a.c){b=new $Se(HDd(tae(a.a)),BZe(a),zZe(a),(Rkj(_be(a.a)),fKg(nbe(a.a))),c$i(Zbe(a.a)));TDd((uae(a.a),b),QEd(uae(a.a)));a.c=b}return a.c}
function jTe(){this.a=new oSe(z$j);lSe(this.a,(AWd(),'A named network interface, along with required criteria for determining the IP address to associate with that interface.'))}
function $Se(a,b,d,e){var g,i,j;xEd.call(this,a,b,d);this.c=e;g=new a5i;g.b=new Dij;this.b=new aYe(g);j=new qZi(qkb);i=new bZi(qkb,(czh(),Zyh).Mc(qkb),bzh.Mc(qkb));this.a=new OSe(j,i);MSe(this.a,this)}
G1c(2099,997,ivj,$Se);_.Al=function(){var a;a=new a5i;a.b=new Dij;return a};_.Bl=Fpk;_.Ri=function(){hTe(this.A,this.a)};_.Wi=Fpk;_.$i=function(){Dtf(this.c,this)};G1c(2100,1282,{},aTe);_.dh=function(a){iTe(this.a.A,a)};G1c(2103,1399,hvj,jTe);_.Ah=function(){return kSe(this.a)};G1c(2213,1,Qvj);_.pd=function(){pFd(this.b,AZe(this.a.a))};var Oib=iMd(2099),Lib=iMd(2100),Pib=iMd(2103);Cwj(so)(9);